import request from '@/router/request'

//  获取当前用户可使用的健康券
export function getUserCard (size, params) {
  return request({
    url: '/apply/info/page',
    method: 'POST',
    params: { size: size },
    data: params
  })
}

//  根据user id获取用户待使用健康券
export function getunUsedCountById (params) {
  return request({
    url: '/apply/info/count',
    method: 'POST',
    data: params
  })
}

//  根据user id获取用户信息
export function getUserInfoByUserId (params) {
  return request({
    url: '/basic/userrelation/list/' + params,
    method: 'GET'
  })
}

//  获取健康券信息
export function getVoucherInfoById (params) {
  return request({
    url: '/apply/info/' + params,
    method: 'GET'
  })
}

//  根据券voucherId获取券相关操作按钮
export function getButtonByVoucherId (params) {
  return request({
    url: '/apply/info/content/' + params,
    method: 'GET'
  })
}

//  根据券makeId获取内容流
export function getContentListByMakeId (makeId, params) {
  return request({
    url: '/apply/content/' + makeId,
    method: 'GET',
    params: params
  })
}

//  根据券voucherId获取核销券二维码
export function getQrCodeByVoucherId (params) {
  return request({
    url: '/apply/info/generateQrCode/' + params,
    method: 'GET'
  })
}

//  根据券voucherId获取券小贴士
export function getTipsByVoucherId (params) {
  return request({
    url: '/apply/info/tips/' + params,
    method: 'GET'
  })
}

//  根据用户id获取用户所有健康券
export function getAllVoucherByUserId (params) {
  return request({
    url: '/apply/info/getAll/' + params,
    method: 'GET'
  })
}

//  获取知识详情信息
export function getContentInfo (params) {
  return request({
    url: '/apply/content/getContentInfo/' + params,
    method: 'GET'
  })
}

// 服务券服务评价
export function evaluationThree (params) {
  return request({
    url: '/apply/evaluation/evaluationThree',
    method: 'POST',
    data: params
  })
}
